Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003349ScribusImport / Exportpublic2006-03-07 22:082013-11-14 15:45
Reporteracepack 
Assigned Tocezaryece 
PrioritynormalSeverityfeatureReproducibilityalways
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003349: A real support of footnotes
DescriptionA real support of footnotes is certainly a major feature for those who wants to use Scribus for works like books or thesis.
thanks
TagsNo tags attached.
Patch
Attached Filesjpg file icon footnotes.jpg [^] (140,337 bytes) 2012-02-27 00:20

- Relationships
parent of 0010730closedcbradney [new feature] footnotes ready for testing 
has duplicate 0000492closed Footnotes which stay on the same page as the associated word 
related to 0003450closedcezaryece Real support for endnotes 
related to 0001120closedcezaryece special caps - footnotes 
related to 0003896acknowledged Metabug: Scientific Publishing 
related to 0001371assignedcezaryece Considering writing plugin to generate TOCs, Indexes, and "Continued on pg ... " messages 

-  Notes
(0009148)
avox (administrator)
2006-03-08 02:30

That's a longterm feature, though. We already have a lot of stuff coming up in 1.4, so I'd guess footnotes come after that.
(0009829)
mhanski (developer)
2006-04-12 10:35

Copied from the closed dup 492:

"Footnotes which stay on the same page as the associated word
Are there plans to implement Footnote in scribus?
What i'd like to see are footnotes which are wrap-senitive:
Footnote always stays on the same page as the footnoted word (example┬│), even if this word is pushed to a new page."
(0020046)
uz1111 (reporter)
2008-07-26 19:38
edited on: 2008-07-26 19:51

Implementing Footnotes should be pretty easy(for 1.3.6 or later):

One thing needed is an invisible metainformation in textframes for indexing. The text-rendering-engine should return the position of the meta-element in the text-frame.

This would allow footnotes from a table/database-entry to be displayed in another textframe on the same (master?-)page.


Such metainformation would improve indexing and eventually allow dynamic formatting(with scripting or conditional frame displaying/positioning, e.g. anchoring graphics to text).

(0020056)
JLuc (updater)
2008-07-28 21:47

It would be great for any books to be able to have mainly pages footnotes, but also chapter and book notes.

OOo and other deal well with footnotes
so scribus should import them truthfully.
(0027754)
cezaryece (developer)
2012-02-27 00:25

As you can see on attached screenshot work is in progress.
This is not addition to import filter - it is Scribus own engine for inserting footnotes with automatic reflow based on markers feature.
Of course reading footnotes from (at least) ODT files is the must and I have hope somebody do it when I upload base patch.
(0028179)
ale (manager)
2012-06-18 08:33

close to be merged into 1.5svn...

- Issue History
Date Modified Username Field Change
2006-03-07 22:08 acepack New Issue
2006-03-08 02:30 avox Status new => acknowledged
2006-03-08 02:30 avox Note Added: 0009148
2006-03-16 12:52 mhanski Note Added: 0009333
2006-03-16 12:59 mhanski Relationship added related to 0003450
2006-04-12 10:31 mhanski Relationship added has duplicate 0000492
2006-04-12 10:34 mhanski Note Deleted: 0009333
2006-04-12 10:35 mhanski Note Added: 0009829
2006-04-12 10:38 mhanski Note Added: 0009830
2006-04-15 21:33 mhanski Relationship added related to 0001120
2006-06-07 21:17 christoph_s Relationship added related to 0003896
2006-06-17 22:15 mhanski Relationship added related to 0001371
2006-06-17 22:17 mhanski Note Deleted: 0009830
2008-07-26 19:38 uz1111 Note Added: 0020046
2008-07-26 19:51 uz1111 Note Edited: 0020046
2008-07-28 21:47 JLuc Note Added: 0020056
2012-02-27 00:20 cezaryece File Added: footnotes.jpg
2012-02-27 00:25 cezaryece Note Added: 0027754
2012-06-18 08:33 ale Relationship added parent of 0010730
2012-06-18 08:33 ale Note Added: 0028179
2012-06-18 21:21 ale Assigned To => cezaryece
2012-06-18 21:21 ale Status acknowledged => assigned
2013-11-14 15:45 cezaryece Status assigned => acknowledged



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker